
using System;
using PlanetExpress.items.shells;
using PlanetExpress.items.enemys;

namespace PlanetExpress.items.weapon {
	
	
	public class RoundLaser : CustomWeapon {
		
		public RoundLaser(CustomGameObject person) : base(person) {
			ShootInterval = 8000f;
		}
		
		
		protected override void doShoot (float x, float y, float angle) {
			int secC = 32;
			float secS = (float)Math.PI*2f/secC;
			for (int i=0; i<secC; i++) {
				CustomShellClass cc = new RoundLaserShell(x, y, angle + i * secS);
				cc.CollisionClass = Person.CollisionClass;
				MissionScreenClass.Area.AddObject(cc);
			}
		}

	}
}
